Test for multi-byte text formatting.
Also test, that 'mps' with multibyte chars works.
And test "ra" on multi-byte characters.
Also test byteidx() and byteidxcomp()

STARTTEST
:so mbyte.vim
:set encoding=utf-8
ENDTEST

Results of test69:

STARTTEST
/^{/+1
:set tw=2 fo=t
gqgqjgqgqo
ＸＹＺ
abc ＸＹＺ
ENDTEST

{
ＸＹＺ
abc ＸＹＺ
}

STARTTEST
/^{/+1
:set tw=1 fo=tm
gqgqjgqgqjgqgqjgqgqjgqgqo
Ｘ
Ｘa
Ｘ a
ＸＹ
Ｘ Ｙ
ENDTEST

{
Ｘ
Ｘa
Ｘ a
ＸＹ
Ｘ Ｙ
}

STARTTEST
/^{/+1
:set tw=2 fo=tm
gqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqo
Ｘ
Ｘa
Ｘ a
ＸＹ
Ｘ Ｙ
aＸ
abＸ
abcＸ
abＸ c
abＸＹ
ENDTEST

{
Ｘ
Ｘa
Ｘ a
ＸＹ
Ｘ Ｙ
aＸ
abＸ
abcＸ
abＸ c
abＸＹ
}

STARTTEST
/^{/+1
:set ai tw=2 fo=tm
gqgqjgqgqo
Ｘ
Ｘa
ENDTEST

{
  Ｘ
  Ｘa
}

STARTTEST
/^{/+1
:set noai tw=2 fo=tm
gqgqjgqgqo
  Ｘ
  Ｘa
ENDTEST

{
  Ｘ
  Ｘa
}

STARTTEST
/^{/+1
:set tw=2 fo=cqm comments=n:Ｘ
gqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqjgqgqo
Ｘ
Ｘa
ＸaＹ
ＸＹ
ＸＹＺ
Ｘ Ｙ
Ｘ ＹＺ
ＸＸ
ＸＸa
ＸＸＹ
ENDTEST

{
Ｘ
Ｘa
ＸaＹ
ＸＹ
ＸＹＺ
Ｘ Ｙ
Ｘ ＹＺ
ＸＸ
ＸＸa
ＸＸＹ
}

STARTTEST
/^{/+1
:set tw=2 fo=tm
RＸa
ENDTEST

{

}

STARTTEST
/^{/+1
:set mps+=u2018:u2019
d%
ENDTEST

{
‘ two three ’ four
}
STARTTEST
/^ra test
jVjra
ENDTEST

ra test
ａbbａ
ａａb

STARTTEST
:set whichwrap+=h
/^x
dh
:set whichwrap-=h
ENDTEST

á
x

STARTTEST
:let a = '.é.' " one char of two bytes
:let b = '.é.' " normal e with composing char
/^byteidx
:put =string([byteidx(a, 0), byteidx(a, 1), byteidx(a, 2), byteidx(a, 3), byteidx(a, 4)])
:put =string([byteidx(b, 0), byteidx(b, 1), byteidx(b, 2), byteidx(b, 3), byteidx(b, 4)])
/^byteidxcomp
:put =string([byteidxcomp(a, 0), byteidxcomp(a, 1), byteidxcomp(a, 2), byteidxcomp(a, 3), byteidxcomp(a, 4)])
:let b = '.é.'
:put =string([byteidxcomp(b, 0), byteidxcomp(b, 1), byteidxcomp(b, 2), byteidxcomp(b, 3), byteidxcomp(b, 4), byteidxcomp(b, 5)])
ENDTEST

byteidx
byteidxcomp

STARTTEST
/^substitute
:let y = substitute('１２３', '\zs', 'a', 'g')    | put =y
ENDTEST

substitute

STARTTEST
:g/^STARTTEST/.,/^ENDTEST/d
:1;/^Results/,$wq! test.out
ENDTEST
